import QtQuick 1.1

MyFrame {
    id: root

    property int totScore: highScoreLevel1 + highScoreLevel2 + highScoreLevel3 + highScoreLevel4

    Column {
        width: parent.width
        spacing: 8
        Text {
            anchors.horizontalCenter: parent.horizontalCenter
            verticalAlignment: Text.AlignVCenter
            height: (root.height / 8) - parent.spacing
            font.pixelSize: fontSizeXL
            color: "#ffffff"
            text: "High Scores"
        }
        HighScoreMenuEntry {
            height: (root.height / 8) - parent.spacing
            textLeft: "Grass / Day"
            textRight: highScoreLevel1
        }
        HighScoreMenuEntry {
            height: (root.height / 8) - parent.spacing
            textLeft: "Grass / Night"
            textRight: highScoreLevel2
        }
        HighScoreMenuEntry {
            height: (root.height / 8) - parent.spacing
            textLeft: "Sand / Day"
            textRight: highScoreLevel3
        }
        HighScoreMenuEntry {
            height: (root.height / 8) - parent.spacing
            textLeft: "Sand / Night"
            textRight: highScoreLevel4
        }
        Item {
            width: 16; height: root.height / 24;
        }
        Image {
            width: parent.width - 28
            x: 14
            fillMode: Image.PreserveAspectFit
            smooth: true
            source: "images/frame.png"
            Text {
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.top: parent.top
                anchors.topMargin: 28
                font.pixelSize: fontSizeL
                color: "#000000"
                style: Text.Outline
                styleColor: "#ffffff"
                text: "Total Score: " + totScore
            }
            Text {
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 30
                font.pixelSize: fontSizeL
                color: "#000000"
                style: Text.Outline
                styleColor: "#ffffff"
                text: {
                    var level = coreLib.getTotalLevel(totScore)
                    if (level == 1) {
                        return "Rookie Smoker"
                    } else if (level == 2) {
                        return "Junior Smoker"
                    } else if (level == 3) {
                        return "Licensed Smoker"
                    } else if (level == 4) {
                        return "Senior Smoker"
                    } else if (level == 5) {
                        return "Smoke Master"
                    } else if (level == 6) {
                        return "Bug Destroyer"
                    } else if (level == 7) {
                        return "Bug Extinctioner"
                    } else if (level == 8) {
                        return "Bugs Enemy #2"
                    } else {
                        return "Bugs Enemy #1"
                    }
                }
            }

            // Big stars and smaller stars
            Row {
                anchors.centerIn: parent
                height: 64
                Repeater {
                    model: Math.floor(coreLib.getTotalLevel(totScore)/3);
                    Image {
                        anchors.verticalCenter: parent.verticalCenter
                        source: "images/star.png"
                    }
                }
                Repeater {
                    model: coreLib.getTotalLevel(totScore)%3;
                    Image {
                        anchors.verticalCenter: parent.verticalCenter
                        source: "images/star2.png"
                    }
                }
            }
        }
    }
}
