import QtQuick 1.1
import com.nokia.meego 1.0

Page {

    property alias mainViewItem: loader.item

    orientationLock: PageOrientation.LockPortrait

    function animateAppVisible() {
        startAnimation.restart();
    }

    // Initial content, "splash screen"
    Rectangle {
        id: splashItem
        anchors.fill: parent
        color: "#000000"
        Image {
            id: gameLogo
            width: parent.width - 20;
            y: parent.height * 0.15
            anchors.horizontalCenter: parent.horizontalCenter
            fillMode: Image.PreserveAspectFit
            smooth: true
            source: "images/logo.png"
        }
        Text {
            y: parent.height * 0.60
            anchors.horizontalCenter: parent.horizontalCenter
            font.pixelSize: fontSizeM
            color: "#ffffff"
            text: "LOADING..."
        }
    }

    Loader {
        id: loader
        anchors.fill: parent
        opacity: 0
    }

    Timer {
        id: startupTimer
        running: true
        interval: 400
        onTriggered: {
            loader.source = "MainView.qml"
        }
    }

    SequentialAnimation {
        id: startAnimation
        PauseAnimation { duration: 200 }
        NumberAnimation {
            target: loader
            property: "opacity"
            duration: 2500
            easing.type: Easing.InOutQuad
            to: 1
        }
        PropertyAction {
            target: splashItem
            property: "visible"
            value: "false"
        }
        PropertyAction {
            target: gameLogo
            property: "source"
            value: ""
        }
    }
}
