import QtQuick 1.1

Item {
    id: container

    property string text
    property bool disabled: false
    property bool toggleButton: false
    property bool toggled: false
    signal clicked

    // Suitable default size
    width: parent.width
    //height: 80
    height: mainView.height * 0.10
    opacity: container.disabled ? 0.5 : 1.0

    Rectangle {
        id: normal
        anchors.fill: parent
        border.color: "#999999"
        border.width: 1
        //radius: 10
        smooth: true
        gradient: Gradient {
            GradientStop { position: 0.0; color: "#666666" }
            GradientStop { position: 1.0; color: "#222222" }
        }
    }

    Rectangle {
        id: pressed
        anchors.fill: parent
        border.color: "#999999"
        border.width: 1
        //radius: 10
        smooth: true
        opacity: 0
        gradient: Gradient {
            GradientStop { position: 0.0; color: "#D9D999" }
            GradientStop { position: 1.0; color: "#333333" }
        }
    }

    /*Rectangle {
        id: disabled
        anchors.fill: parent
        border.color: "#999999"
        border.width: 1
        //radius: 10
        smooth: true
        opacity: container.disabled
        gradient: Gradient {
            GradientStop { position: 0.0; color: "#dddddd" }
            GradientStop { position: 1.0; color: "#999999" }
        }
    }*/

    MouseArea {
        anchors.fill: parent
        anchors.margins: -4
        onClicked: {
            if (!container.disabled) {
                if (container.toggleButton) {
                    container.toggled = !container.toggled;
                    container.state = container.toggled ? "Pressed" : "";
                } else {
                    container.clicked();
                }
            }
        }
        onPressed: {
            if (!container.disabled) {
                container.state = "Pressed"
                playSound("button");
            }
        }
        onReleased: {
            if (!container.disabled)
                container.state = ""
        }
    }

    Text {
        font.family: "Helvetica"
        //font.pixelSize: 26
        font.pixelSize: fontSizeM
        smooth: true
        color: {
            if (container.disabled)
                "#dddddd"
            else
                "#ffffff"
        }
        anchors.centerIn: parent
        text: container.text
    }

    states: [
    State {
        name: "Pressed"
        PropertyChanges { target: pressed; opacity: 1 }
    }
    ]
    transitions: Transition {
        NumberAnimation { properties: "opacity"; duration:100 }
    }

}
