import QtQuick 1.1

Item {
    id: root
    property real scoreTimeCounter: 0
    property real scoreSmokedCounter: 0
    property real scoreTotalCounter: 0

    anchors.fill: parent

    function startScoreAnimation() {
        scoreSmokedCounter = 0;
        scoreTimeCounter = 0;
        scoreTotalCounter = 0;

        finalScoreAnimation.restart();
    }

    Rectangle {
        id: worldHider
        anchors.fill: parent
        color: "#000000"
        opacity: 0.6
        // Block events
        MouseArea {
            anchors.fill: parent
            onClicked: {}
        }
    }
    Grid {
        id: scoresColumn
        anchors.centerIn: parent
        width: parent.width * 0.6
        columns: 2
        spacing: 8

        Text {
            width: parent.width * 0.6
            text: "SMOKED"
            font.pixelSize: fontSizeL
            color: "#ffffff"
            style: Text.Outline
            styleColor: "#000000"
        }
        Text {
            id: scoreSmokedTextItem
            width: parent.width * 0.4
            text: scoreSmokedCounter == 0 ? "" :  Math.floor(gameScore * scoreSmokedCounter);
            horizontalAlignment: Text.AlignRight
            font.pixelSize: fontSizeL
            color: "#ffffff"
            style: Text.Outline
            styleColor: "#000000"
        }

        Text {
            width: parent.width * 0.6
            text: "TIME"
            font.pixelSize: fontSizeL
            color: "#ffffff"
            style: Text.Outline
            styleColor: "#000000"
        }
        Text {
            id: scoreTimeTextItem
            width:  parent.width * 0.4
            text: scoreTimeCounter == 0 ? "" : Math.floor(gameTime * scoreTimeCounter);
            horizontalAlignment: Text.AlignRight
            font.pixelSize: fontSizeL
            color: "#ffffff"
            style: Text.Outline
            styleColor: "#000000"
        }

        Text {
            width: parent.width * 0.6
            text: "TOTAL"
            font.pixelSize: fontSizeXL
            color: "#ffffff"
            style: Text.Outline
            styleColor: "#000000"
        }
        Text {
            id: scoreTotalTextItem
            width: parent.width * 0.4
            text: scoreTotalCounter == 0 ? "" : Math.floor(gameFinalScore * scoreTotalCounter);
            horizontalAlignment: Text.AlignRight
            font.pixelSize: fontSizeXL
            color: "#ffffff"
            style: Text.Outline
            styleColor: "#000000"
        }
    }
    SequentialAnimation {
        id: finalScoreAnimation
        running: false
        PauseAnimation { duration: 500 }
        NumberAnimation {
            target: root
            property: "scoreSmokedCounter"
            from: 0
            to: 1
            duration: 1000
        }
        PauseAnimation { duration: 500 }
        NumberAnimation {
            target: root
            property: "scoreTimeCounter"
            from: 0
            to: 1
            duration: 1000
        }
        PauseAnimation { duration: 500 }
        PropertyAction {
            target: root
            property: "scoreTotalCounter"
            value: 1
        }
    }

    Item {
        width: parent.width - 32
        height: tryAgainButton.height
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: scoresColumn.bottom
        anchors.topMargin: 32
        MyButton {
            id: menu1Button
            anchors.left: parent.left
            width: parent.width * 0.45
            text: "Main Menu"
            onClicked: {
                coreLib.backToMainMenu();
            }
        }
        MyButton {
            id: tryAgainButton
            anchors.right: parent.right
            width: parent.width * 0.45
            text: "Try Again!"
            onClicked: {
                coreLib.startNewGame();
            }
        }
    }
}
