import QtQuick 1.1

Item {
    width: parent.width
    Behavior on opacity {
        NumberAnimation { duration: 200 }
    }

    Item {
        id: soundsButton
        width: 80 * graphicsScale
        height: 80 * graphicsScale
        anchors.top: parent.top
        anchors.left: parent.left
        Image {
            source: soundsOn ? "images/sounds_on.png" : "images/sounds_off.png"
            anchors.centerIn: parent
            smooth: true
            scale: graphicsScale
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                soundsOn = !soundsOn
            }
        }
    }

    Item {
        id: exitButton
        width: 80 * graphicsScale
        height: 80 * graphicsScale
        anchors.top: parent.top
        anchors.right: parent.right
        z: 10

        Image {
            source: "images/close.png"
            anchors.centerIn: parent
            smooth: true
            scale: graphicsScale
        }
        MouseArea {
            anchors.fill: parent
            onClicked: {
                Qt.quit();
            }
        }
    }
}
