import QtQuick 1.1

AbstractBug {
    id: root

    property int animationDirection: 1

    width: 64 * graphicsScale
    height: 32 * graphicsScale

    Component.onCompleted: {
        root.bugStrength = 1;
        root.bugSpeed = 5;
    }

    Image {
        id: bugImage
        source: "images/" + bugType + "_" + root.bugImageIndex + ".png"
        anchors.centerIn: parent
        smooth: true
        scale: graphicsScale
        rotation: root.bugRotation
        mirror: (Math.random() > 0.5) ? true : false

        Timer {
            id: animationTimer
            running: !_burning && !gamePaused && !root._killed
            repeat: true
            interval: 150
            onTriggered: {

                if (root.bugImageIndex == 7)
                    root.animationDirection--;

                if (root.animationDirection == 1 || root.bugImageIndex > 1) {
                    root.bugImageIndex += root.animationDirection;
                    root.canBeBurned = (root.bugImageIndex > 2) ? true : false;

                } else {
                    hideHoleAnimation.restart();
                    animationTimer.stop();
                }
            }
        }

        NumberAnimation on opacity {
            id: hideHoleAnimation
            running: false
            to: 0;
            duration: 5000
            // TODO: Remove from bugsModel also and clean?
        }
    }
}
