import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
//Item {
    id: mainWindow
    //width: screenHeight
    //height: screenWidth
    width: screenWidth
    height: screenHeight

    property int screenWidth: 480
    property int screenHeight: 854
    property int worldWidth: mainView.width
    property int worldHeight: mainView.height

    // Note: mainMenuOn: == MainMenu on
    // Note: gameOn && !gamePause == World (playing) on
    // Note: gameOn && gamePause == PauseMenu on
    // Note: !game0n && !mainMenuOn == ScoreMenu on
    property bool soundsOn: true;
    property bool gameOn: false;
    property bool gamePaused: false;
    property bool mainMenuOn: true;
    property bool isTopped: Qt.application.active;

    property real currentGameSpeed: 0
    property real startingGameSpeed: 15
    property int gameScore: 0
    property int gameFinalScore: 0
    property int gameTime: 0
    property bool nightMode: false
    // 1 = grass, 3 = sand
    property int gameField: 1

    property int highScoreLevel1
    property int highScoreLevel2
    property int highScoreLevel3
    property int highScoreLevel4

    // Theming to suit different screen resolutions
    property int fontSizeS: mainView.width * 0.04
    property int fontSizeM: mainView.width * 0.06
    property int fontSizeL: mainView.width * 0.08
    property int fontSizeXL: mainView.width * 0.12
    // N9 resolution is native for graphics == 1.0
    // Used for magnifier, cookie and bugs
    property real graphicsScale: mainView.width / 480
    //property real graphicsScale: height > 640 ? 1.0 : 0.7


    initialPage: MainViewLoader {
        id: mainView
    }
    showStatusBar: false
    showToolBar: false

    // Harmattan, Track platformWindow.viewMode
    /*Connections {
        target: platformWindow
        onViewModeChanged: {
            isTopped = platformWindow.viewMode == WindowState.Fullsize;
        }
    }*/

    // Track Qt.application.active, pause game when not topped
    Connections {
        target: mainWindow
        onIsToppedChanged: {
            if (!isTopped)
                gamePaused = true;
        }
    }

    /* Symbian
    MainViewLoader {
            id: mainView
            anchors.fill: parent
    }
    */


/*
    MainView {
        id: mainView

        anchors.fill: parent

        // Rotate 90-degrees?
        /*width: screenWidth
        height: screenHeight
        rotation: -90
        transformOrigin: Item.TopLeft
        x: 0
        y: screenWidth
    }
*/
}
